pqxx::syntax_error Struct Reference
Exception classes

`#include <except.hxx>`

Inheritance diagram for pqxx::syntax_error:
[legend]

## Public Member Functions

| syntax_error (std::string const &err, std::string const &Q="", char const sqlstate[]=nullptr, int pos=-1)
Public Member Functions inherited from pqxx::sql_error
| sql_error (std::string const &whatarg="", std::string const &Q="", char const sqlstate[]=nullptr)
virtual | ~sql_error () noexcept override
PQXX_PURE std::string const & | query () const noexcept
| The query whose execution triggered the exception.
PQXX_PURE std::string const & | sqlstate () const noexcept
| SQLSTATE error code if known, or empty string otherwise.
Public Member Functions inherited from pqxx::failure
| failure (std::string const &)

## Public Attributes

int const | error_position
| Approximate position in string where error occurred, or -1 if unknown.

## Constructor & Destructor Documentation

## syntax_error()

pqxx::syntax_error::syntax_error | ( | std::string const & | err,
|  | std::string const & | Q = `""`,
|  | char const | sqlstate[] = `nullptr`,
|  | int | pos = `-1`
| ) |  |

explicit

## Member Data Documentation

## error_position

int const pqxx::syntax_error::error_position

Approximate position in string where error occurred, or -1 if unknown.

The documentation for this struct was generated from the following file:

- except.hxx